#ifndef __PARAM_H__
#define __PARAM_H__
#include <unistd.h> 
#include "Image.h"

const int FLAG_CIRCLE   = 0x00000001;
const int FLAG_DOT      = 0x00000002;
const int FLAG_MARK     = 0x00000004;
const int FLAG_NUMBER   = 0x00000010;

class PARAM{
  void set_option(char option);
 public:	
	int jpg_quality;        //JPGΥƥ
	int linewidth;          //ߤʤɤ
	int figure_size;        //ħ򼨤()礭
	int number_scale;       //ֹΥ
	int offset_u, offset_v; //ֹΰ֥եå
	char *exec_name;        //¹ԥץ̾
	char *img_fn1;          //ե̾
	char *img_fn2;          //ե̾
	char *match_fn;         //ħե̾
	char *view_name1;       //ϥե̾
	char *view_name2;       //ϥե̾
	char *flow_name;        //ϥե̾
	
	int width,height;       //flow
	
	Color col;
	int flag;               //ϥե饰

  PARAM(){ 	     
	img_fn1 = img_fn2 = match_fn = view_name1 = view_name2 = flow_name = 0;
	jpg_quality  = 80;
	number_scale = 8;
	figure_size  = 3;
	linewidth    = 1;
	offset_u     = 10;
	offset_v     = 10;
	flag         = 0;
	width        = 640;
	height       = 480;
	col          = BLACK_C;
  }
  
  ~PARAM(){
	if(!img_fn1)
	  delete [] img_fn1;
	if(!img_fn2)
	  delete [] img_fn2;
	if(!match_fn)
	  delete [] match_fn;
	if(!view_name1)
	  delete [] view_name1;
	if(!view_name2)
	  delete [] view_name2;
	if(!flow_name)
	  delete [] flow_name;
  }
  void analysis_option(int argc, char *argv[]);
  void show_help();
  
};

const char option_string[] = "CDEMW:H:N:1:2:l:s:u:v:q:c:h";
extern PARAM param;

#endif

