/************************************************
 ImageDefaults.h   Ver 1.0

		created  by T.Sakamoto (2000/09/11)
		modified by H.Kamo     (2000/10/02)
		modified by K.Uemura   (2005/09/09)
*************************************************/

#ifndef _IMAGEDEFAULTS_H_
#define _IMAGEDEFAULTS_H_

//
// 顼¤
//
struct Color
{
  int r;   /* red   */
  int g;   /* green */
  int b;   /* blue  */
};


// 
// 饹ѥޥ
//
#define  WIDTH             640     /* ΥǥեȤ   */
#define  HEIGHT            480     /* ΥǥեȤι⤵ */
#define  DEFAULT_FOCUS     600.0   /* ǥեȾΥ     */
#define  MAXLEVEL          255.0   /* κ統         */

// 
// 顼¤ΤΥǥեȥ顼
//
const Color  BLACK_C   = {  0,   0,   0};      /*    */
const Color  BLUE_C    = {  0,   0, 255};      /*    */
const Color  GREEN_C   = {  0, 255,   0};      /*    */
const Color  CYAN_C    = {  0, 255, 255};      /*  */
const Color  RED_C     = {255,   0,   0};      /*    */
const Color  MAGENTA_C = {255,   0, 255};      /* ֻ */
const Color  YELLOW_C  = {255, 255,   0};      /*  */
const Color  WHITE_C   = {255, 255, 255};      /*    */

typedef enum {PSF, EPSF} PSType;        /* Postscriptե */
typedef enum {gray, color} ImgType;     /* μ */
typedef enum {dot,circle, cross,box,diamond,
  triangleU,triangleD} PointType;         /* ץåȲμ   */


#endif //_IMAGEDEFAULTS_H_
