#ifndef __WRITE_PS_H__
#define __WRITE_PS_H__

#if __GNUC__ < 3
#include <vector.h>
#else
#include <vector>
using std::vector;
#endif

#include "PointMark.h"
#include "ScreenPS.h"
#include "EPostScript.h"
#include "ImageDefaults.h"
#include "Image.h"
int write_ps(EPostScript &eps, vector<PointMark> &feature,
			 CImage &cim, int jpg_quality,
			 PointType &ptype, int figure_size,int linewidth, const Color &col);
			 
void numbering(EPostScript &eps, vector<PointMark> &feature,
	       int scale, int offset_u, int offset_v,const Color &back, const Color &col);

int write_flow( EPostScript &flow,vector<PointMark> &crsp1,vector<PointMark> &crsp2,
				int figure_scale, int linewidth, const Color &col);
int  write_frame(EPostScript &eps, int width, int height);

#endif
